<!doctype html>
<html lang="en">
  <head>
    <title>Bài Tập JS Buổi 8</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" >
    <link rel="stylesheet" href="./index.css">
  </head>
  <body>
    <div class="container py-5" >
        <h4>Bài Tập 1 :
            Tổng Số Dương Trong Mảng</h4>
            <form class="row gy-3 align-items-center py-3">
                <div class="col-12 col-lg-6">
                    <input type="number" class="form-control form__input" id="inputNum"
                        placeholder="Nhập số n">
                </div>
                <div class="col-12 col-lg-6">
                    <button class="btn btn-primary me-1 mb-1" type="button" onclick="getNumber()">Thêm
                        số</button>
                </div>
                <div class="alert alert-success" role="alert">
                    <span id="txtArray"></span>
                </div>
            </form>                         
        <form class="row gy-3 align-items-center px-2">

            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="sumPositive()">Tính tổng</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtSum"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 2: Đếm Các Số Dương Trong Mảng</h4>
        <form class="row gy-3 align-items-center px-2">

            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="countPositive()">Đếm số</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtCount"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 3: Tìm Số Nhỏ Nhất Trong Mảng</h4>
        <form class="row gy-3 align-items-center px-2">

            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="findMin()">Tìm số nhỏ nhất</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtMin"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 4: Tìm Số Dương Nhỏ Nhất Trong Mảng</h4>
        <form class="row gy-3 align-items-center px-2">

            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="findMinPos()">Tìm số dương nhỏ nhất</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtMinPos"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 5: Tìm Số 
            Chẵn Cuối Cùng Trong Mảng
        </h4>
        <form class="row gy-3 align-items-center px-2">

            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="findEven()">Tìm số chẵn</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtEven"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 6: Đổi Chỗ 2 Giá Trị Trong Mảng Theo Vị Trí</h4>
        <form class="row gy-3 align-items-center px-2">
            <div class="col-12 col-lg-6">
                <input type="number" class="form-control form__input" id="inputIndex1"
                    placeholder="Nhập số vị trí 1">
            </div>
            <div class="col-12 col-lg-6">
                <input type="number" class="form-control form__input" id="inputIndex2"
                    placeholder="Nhập số vị trí 2">
            </div>
            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="changePosition()">Đổi chỗ</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtChangePos"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 7: Sắp Xếp Mảng Theo Vị Trí Tăng Dần </h4>
        <form class="row gy-3 align-items-center px-2">                                               
            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="sortIncrease()">Sắp xếp</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtIncrease"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 8: Tìm Số Nguyên Tố Đầu Tiên Trong Mảng</h4>
        <form class="row gy-3 align-items-center px-2">                                               
            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="findPrime()">Tìm số nguyên tố</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtPrime"></span>
            </div>
        </form>
        <hr>
        <h4>Bài Tập 9 : Nhập Thêm Một Mảng Số Thực, Tìm Các Số Nguyên Tố</h4>
        <form class="row gy-3 align-items-center py-3">
            <div class="col-12 col-lg-6">
                <input type="number" class="form-control form__input" id="inputFloat"
                    placeholder="Nhập số">
            </div>
            <div class="col-12 col-lg-6">
                <button class="btn btn-primary me-1 mb-1" type="button" onclick="getFloat()">Thêm
                    số</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtArrayFloat"></span>
            </div> 
            <div class="col-12 col-lg-6">
                <button class="btn btn-primary me-1 mb-1" type="button" onclick="findInt()">Đếm số nguyên Tố</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtInt"></span>
            </div>
        </form>  
        <hr>
        <h4>Bài Tập 10 : So Sánh Số Dương Và Số Âm</h4>
        <form class="row gy-3 align-items-center px-2">                                               
            <div class="col-12">
                <button class="btn btn-primary me-1 mb-1" type="button"
                    onclick="compareNum()">So sánh</button>
            </div>
            <div class="alert alert-success" role="alert">
                <span id="txtCompare"></span>
            </div>
        </form>




    </div>
      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" ></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" ></script>
    <script src="./index.js">
        
    </script>
  </body>
</html>